summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Erich Ritz2022-09-16 22:13:16 +0200
committer bedlam2022-09-16 22:13:16 +0200
commitae1d89d0986cc0acb49607d8dbfbad1a08203ddb (patch)
tree16a57dd156fd8216b680de961453d8dfada9e54f
parent0e8477fc63d53685b0137cd33269a1b5f9985005 (diff)
downloadslackbuilds-ae1d89d0986cc0acb49607d8dbfbad1a08203ddb.tar.gz
development/halibut: Added (documentation production system)
Signed-off-by: bedlam <dave@slackbuilds.org>
-rw-r--r--development/halibut/README14
-rw-r--r--development/halibut/doinst.sh3
-rw-r--r--development/halibut/halibut.SlackBuild113
-rw-r--r--development/halibut/halibut.info10
-rw-r--r--development/halibut/slack-desc19
5 files changed, 159 insertions, 0 deletions
diff --git a/development/halibut/README b/development/halibut/README
new file mode 100644
index 0000000000..f6d2a72fae
--- /dev/null
+++ b/development/halibut/README
@@ -0,0 +1,14 @@
+Halibut is a documentation production system, with elements similar to
+TeX, debiandoc-sgml, TeXinfo, and others. It is primarily targeted at
+people producing software manuals.
+
+Supported output formats are:
+- Plain ASCII text
+- HTML
+- PDF
+- PostScript
+- Unix man pages
+- Unix info, generated directly as .info files rather than .texi sources
+- Windows HTML Help (.CHM files), generated directly without needing a
+ separate help compiler.
+- Windows WinHelp (old-style .HLP files), also generated directly.
diff --git a/development/halibut/doinst.sh b/development/halibut/doinst.sh
new file mode 100644
index 0000000000..f3605d4eeb
--- /dev/null
+++ b/development/halibut/doinst.sh
@@ -0,0 +1,3 @@
+if [ -x /usr/bin/install-info ]; then
+ chroot . /usr/bin/install-info --info-dir=/usr/info /usr/info/blah.gz 2> /dev/null
+fi
diff --git a/development/halibut/halibut.SlackBuild b/development/halibut/halibut.SlackBuild
new file mode 100644
index 0000000000..93a7093a42
--- /dev/null
+++ b/development/halibut/halibut.SlackBuild
@@ -0,0 +1,113 @@
+#!/bin/bash
+
+# Slackware build script for halibut
+
+# Copyright 2022 Erich Ritz, Jenks, Oklahoma, USA
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+cd $(dirname $0) ; CWD=$(pwd)
+
+PRGNAM=halibut
+VERSION=${VERSION:-1.3}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+PKGTYPE=${PKGTYPE:-tgz}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
+ exit 0
+fi
+
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+mkdir -p build
+cd build
+ cmake \
+ -DCMAKE_C_FLAGS:STRING="$SLKCFLAGS" \
+ -DCMAKE_INSTALL_PREFIX=/usr \
+ -DCMAKE_BUILD_TYPE=Release ..
+ make
+ make install/strip DESTDIR=$PKG
+cd ..
+
+mv $PKG/usr/share/man $PKG/usr/
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+mv $PKG/usr/share/info $PKG/usr/
+rm -f $PKG/usr/info/dir
+gzip -9 $PKG/usr/info/*.info*
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+mv $PKG/usr/share/doc/halibut/* $PKG/usr/doc/$PRGNAM-$VERSION/
+cp -a \
+ LICENCE \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+rmdir $PKG/usr/share/doc/halibut
+rmdir $PKG/usr/share/doc
+rmdir $PKG/usr/share
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE
diff --git a/development/halibut/halibut.info b/development/halibut/halibut.info
new file mode 100644
index 0000000000..f7a4e92305
--- /dev/null
+++ b/development/halibut/halibut.info
@@ -0,0 +1,10 @@
+PRGNAM="halibut"
+VERSION="1.3"
+HOMEPAGE="https://www.chiark.greenend.org.uk/~sgtatham/halibut/"
+DOWNLOAD="https://www.chiark.greenend.org.uk/~sgtatham/halibut/halibut-1.3/halibut-1.3.tar.gz"
+MD5SUM="93438912ae0036817798b53edd493dad"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Erich Ritz"
+EMAIL="erich.public@protonmail.com"
diff --git a/development/halibut/slack-desc b/development/halibut/slack-desc
new file mode 100644
index 0000000000..e268cfbd29
--- /dev/null
+++ b/development/halibut/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+halibut: halibut (documentation production system)
+halibut:
+halibut: Halibut is a documentation production system, with elements similar to
+halibut: TeX, debiandoc-sgml, TeXinfo, and others. It is primarily targeted at
+halibut: people producing software manuals.
+halibut:
+halibut: Supported output formats are plain ASCII text, HTML, PDF, PostScript,
+halibut: Unix man pages, Unix info, Windows HTML Help (.CHM files), and Windows
+halibut: WinHelp (old-style .HLP files).
+halibut:
+halibut: Homepage: https://www.chiark.greenend.org.uk/~sgtatham/halibut/